Subject: permaculture

From: [email-masked]
Date: 12 Mar 96 15:34

To the permaculture society,

Please could you send me some brief details on the society and its activities
in or around Manchester or how I can find out such information.
I would like to find out more with a possibility of becoming involved at some
level.

Thanks,

Emma.